Index: code/branches/menue/data/levels/FPSTest.oxw
===================================================================
--- code/branches/menue/data/levels/FPSTest.oxw	(revision 8914)
+++ code/branches/menue/data/levels/FPSTest.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Level to test First Person Shooter"
  tags = "test"
+ screenshot = "fpstestlevel.png"
 />
 
Index: code/branches/menue/data/levels/asteroids.oxw
===================================================================
--- code/branches/menue/data/levels/asteroids.oxw	(revision 8914)
+++ code/branches/menue/data/levels/asteroids.oxw	(revision 8916)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Asteroids Race"
+ description = "testmap for gametype asteroid race"
+ screenshot = "asteroids.png"
+/>
+
 <?lua
   include("HUDTemplates3.oxo")
Index: code/branches/menue/data/levels/docking.oxw
===================================================================
--- code/branches/menue/data/levels/docking.oxw	(revision 8914)
+++ code/branches/menue/data/levels/docking.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Level with a Transporter. Demonstrates the docking system."
  tags = ""
+ screenshot = "transporter.png"
 />
 
Index: code/branches/menue/data/levels/dynamicMatch.oxw
===================================================================
--- code/branches/menue/data/levels/dynamicMatch.oxw	(revision 8914)
+++ code/branches/menue/data/levels/dynamicMatch.oxw	(revision 8916)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Dynamic Match"
+ description = "In progress -level for dynamicmatch"
+ screenshot = "dynamicMatch.png"
+/>
+
 <?lua
   include("HUDTemplates3.oxo")
Index: code/branches/menue/data/levels/earth.oxw
===================================================================
--- code/branches/menue/data/levels/earth.oxw	(revision 8914)
+++ code/branches/menue/data/levels/earth.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "1:100 Scale Model of Earth with Gravity"
  tags = "showcase"
+ screenshot = "earthdemonstration.png"
 />
 
Index: code/branches/menue/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/menue/data/levels/emptyLevel.oxw	(revision 8914)
+++ code/branches/menue/data/levels/emptyLevel.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "A level with absolutely nothing in it."
  tags = "test"
+ screenshot = "emptylevel.png"
 />
 
Index: code/branches/menue/data/levels/events.oxw
===================================================================
--- code/branches/menue/data/levels/events.oxw	(revision 8914)
+++ code/branches/menue/data/levels/events.oxw	(revision 8916)
@@ -2,5 +2,6 @@
   name = "Events showcase"
   description = "Level to test and showcase events."
-  tags = "test, showcase" 
+  tags = "test, showcase"
+  screenshot = "eventsshowcase.png"
 />
 
Index: code/branches/menue/data/levels/fightInOurBack.oxw
===================================================================
--- code/branches/menue/data/levels/fightInOurBack.oxw	(revision 8914)
+++ code/branches/menue/data/levels/fightInOurBack.oxw	(revision 8916)
@@ -3,4 +3,5 @@
   description = "Our fleet is far ahead of us. We need to get rid of all the enemies in its back, because we do not want our enemies to attack from everywhere. So let us clear this Sector!"
   tags = ""
+  screenshot = "fightinourback.png"
 />
 
Index: code/branches/menue/data/levels/lastManStanding.oxw
===================================================================
--- code/branches/menue/data/levels/lastManStanding.oxw	(revision 8914)
+++ code/branches/menue/data/levels/lastManStanding.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Be the sole survivor."
  tags = ""
+ screenshot = "lastmanstanding.png"
 />
 
Index: code/branches/menue/data/levels/lastTeamStanding.oxw
===================================================================
--- code/branches/menue/data/levels/lastTeamStanding.oxw	(revision 8914)
+++ code/branches/menue/data/levels/lastTeamStanding.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Survive as a team."
  tags = "singleplayer"
+ screenshot = "lastteamstanding.png"
 />
 <?lua
Index: code/branches/menue/data/levels/lastTeamStandingII.oxw
===================================================================
--- code/branches/menue/data/levels/lastTeamStandingII.oxw	(revision 8914)
+++ code/branches/menue/data/levels/lastTeamStandingII.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Survive as a team."
  tags = ""
+ screenshot = "onthefly.png"
 />
 <?lua
Index: code/branches/menue/data/levels/myTestLevel.oxw
===================================================================
--- code/branches/menue/data/levels/myTestLevel.oxw	(revision 8914)
+++ code/branches/menue/data/levels/myTestLevel.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "A level to test the Class SpaceBoundaries."
  tags = "test"
+ screenshot = "mytestlevel.png"
 />
 
Index: code/branches/menue/data/levels/notifications.oxw
===================================================================
--- code/branches/menue/data/levels/notifications.oxw	(revision 8914)
+++ code/branches/menue/data/levels/notifications.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Level to test and showcase notifications."
  tags = "test, showcase"
+ screenshot = "notificationsshowcase.png"
 />
 
Index: code/branches/menue/data/levels/pickups.oxw
===================================================================
--- code/branches/menue/data/levels/pickups.oxw	(revision 8914)
+++ code/branches/menue/data/levels/pickups.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Level to test and showcase pickups."
  tags = "test, showcase"
+ screenshot = "pickupsshowcase.png"
 />
 
Index: code/branches/menue/data/levels/pirateAttack.oxw
===================================================================
--- code/branches/menue/data/levels/pirateAttack.oxw	(revision 8914)
+++ code/branches/menue/data/levels/pirateAttack.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Dani's Testlevel"
  tags = "test"
+ screenshot = "pirateattack.png"
 />
 
Index: code/branches/menue/data/levels/planets.oxw
===================================================================
--- code/branches/menue/data/levels/planets.oxw	(revision 8914)
+++ code/branches/menue/data/levels/planets.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Demonstration of Planets"
  tags = "showcase"
+ screenshot = "planetdemonstration.png"
 />
 
Index: code/branches/menue/data/levels/pong.oxw
===================================================================
--- code/branches/menue/data/levels/pong.oxw	(revision 8914)
+++ code/branches/menue/data/levels/pong.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Pong in space!"
  tags = ""
+ screenshot = "pong.png"
 />
 
Index: code/branches/menue/data/levels/portals.oxw
===================================================================
--- code/branches/menue/data/levels/portals.oxw	(revision 8914)
+++ code/branches/menue/data/levels/portals.oxw	(revision 8916)
@@ -4,4 +4,5 @@
  description = "Level for testing portals"
  tags = "tutorial"
+ screenshot = "portals.png"
 />
 
Index: code/branches/menue/data/levels/presentation.oxw
===================================================================
--- code/branches/menue/data/levels/presentation.oxw	(revision 8914)
+++ code/branches/menue/data/levels/presentation.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Presentation Level"
  tags = "presentation"
+ screenshot = "presentation.png"
 />
 
Index: code/branches/menue/data/levels/presentation09.oxw
===================================================================
--- code/branches/menue/data/levels/presentation09.oxw	(revision 8914)
+++ code/branches/menue/data/levels/presentation09.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "3rd Presentation level for Orxonox Convention X"
  tags = "presentation"
+ screenshot = "presentationx3rd.png"
 />
 
Index: code/branches/menue/data/levels/presentation09b.oxw
===================================================================
--- code/branches/menue/data/levels/presentation09b.oxw	(revision 8914)
+++ code/branches/menue/data/levels/presentation09b.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "2nd Presentation level for Orxonox Convention X"
  tags = "presentation"
+ screenshot = "presentationx2.png"
 />
 
Index: code/branches/menue/data/levels/presentationDM.oxw
===================================================================
--- code/branches/menue/data/levels/presentationDM.oxw	(revision 8914)
+++ code/branches/menue/data/levels/presentationDM.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Presentation Level"
  tags = "presentation"
+ screenshot = "presentationdm.png"
 />
 
Index: code/branches/menue/data/levels/presentationFS10.oxw
===================================================================
--- code/branches/menue/data/levels/presentationFS10.oxw	(revision 8914)
+++ code/branches/menue/data/levels/presentationFS10.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "1st Presentation level for Orxonox Convention XI"
  tags = "presentation"
+ screenshot = "presentationxi.png"
 />
 
Index: code/branches/menue/data/levels/presentationFS102.oxw
===================================================================
--- code/branches/menue/data/levels/presentationFS102.oxw	(revision 8914)
+++ code/branches/menue/data/levels/presentationFS102.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "2nd Presentation level for Orxonox Convention XI, FPS"
  tags = "presentation"
+ screenshot = "presentationxifps1st.png"
 />
 
Index: code/branches/menue/data/levels/presentationFS10Ed.oxw
===================================================================
--- code/branches/menue/data/levels/presentationFS10Ed.oxw	(revision 8914)
+++ code/branches/menue/data/levels/presentationFS10Ed.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "3rd Presentation level for Orxonox Convention XI, FPS"
  tags = "presentation"
+ screenshot = "presentationxifps2nd.png"
 />
 
Index: code/branches/menue/data/levels/presentationFS11.oxw
===================================================================
--- code/branches/menue/data/levels/presentationFS11.oxw	(revision 8914)
+++ code/branches/menue/data/levels/presentationFS11.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Presentation level spring semester '11"
  tags = "test"
+ screenshot = "presentationfs11.png"
 />
 
Index: code/branches/menue/data/levels/presentationHS09.oxw
===================================================================
--- code/branches/menue/data/levels/presentationHS09.oxw	(revision 8914)
+++ code/branches/menue/data/levels/presentationHS09.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "1st Presentation level for Orxonox Convention X"
  tags = "presentation"
+ screenshot = "presentationx1st.png"
 />
 
Index: code/branches/menue/data/levels/presentationHS09b.oxw
===================================================================
--- code/branches/menue/data/levels/presentationHS09b.oxw	(revision 8914)
+++ code/branches/menue/data/levels/presentationHS09b.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "2nd Presentation level for Orxonox Convention X"
  tags = "presentation"
+ screenshot = "presentationx2nd.png"
 />
 
Index: code/branches/menue/data/levels/princessAeryn.oxw
===================================================================
--- code/branches/menue/data/levels/princessAeryn.oxw	(revision 8914)
+++ code/branches/menue/data/levels/princessAeryn.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "The Tale of the elusive but beautiful Princess Aeryn"
  tags = ""
+ screenshot = "thetaleofprincessaeryn.png"
 />
 
Index: code/branches/menue/data/levels/quests.oxw
===================================================================
--- code/branches/menue/data/levels/quests.oxw	(revision 8914)
+++ code/branches/menue/data/levels/quests.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Level to test and showcase quests."
  tags = "test, showcase"
+ screenshot = "questsshowcase.png"
 />
 
Index: code/branches/menue/data/levels/screenshot.oxw
===================================================================
--- code/branches/menue/data/levels/screenshot.oxw	(revision 8914)
+++ code/branches/menue/data/levels/screenshot.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Level to make awesome screenshots in."
  tags = "test"
+ screenshot = "screenshot.png"
 />
 
Index: code/branches/menue/data/levels/shieldTest.oxw
===================================================================
--- code/branches/menue/data/levels/shieldTest.oxw	(revision 8914)
+++ code/branches/menue/data/levels/shieldTest.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "A simple Level with one shielded drone to shoot at"
  tags = "test"
+ screenshot = "shieldtestlevel.png"
 />
 
Index: code/branches/menue/data/levels/sound.oxw
===================================================================
--- code/branches/menue/data/levels/sound.oxw	(revision 8914)
+++ code/branches/menue/data/levels/sound.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Level to test and showcase sound."
  tags = "test"
+ screenshot = "soundshowcase.png"
 />
 
Index: code/branches/menue/data/levels/spaceRace.oxw
===================================================================
--- code/branches/menue/data/levels/spaceRace.oxw	(revision 8914)
+++ code/branches/menue/data/levels/spaceRace.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Test level for the gametype Space Race."
  tags = "test"
+ screenshot = "spacerace.png"
 />
 
Index: code/branches/menue/data/levels/teamBaseMatch.oxw
===================================================================
--- code/branches/menue/data/levels/teamBaseMatch.oxw	(revision 8914)
+++ code/branches/menue/data/levels/teamBaseMatch.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Fight for the bases."
  tags = ""
+ screenshot = "teambasematch.png"
 />
 
Index: code/branches/menue/data/levels/teamDeathMatch.oxw
===================================================================
--- code/branches/menue/data/levels/teamDeathMatch.oxw	(revision 8914)
+++ code/branches/menue/data/levels/teamDeathMatch.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Fight against each other in teams."
  tags = ""
+ screenshot = "teamdeathmatch.png"
 />
 
Index: code/branches/menue/data/levels/testStars.oxw
===================================================================
--- code/branches/menue/data/levels/testStars.oxw	(revision 8914)
+++ code/branches/menue/data/levels/testStars.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Level to test stars"
  tags = "test"
+ screenshot = "starstestlevel.png"
 />
 
Index: code/branches/menue/data/levels/testSwallow.oxw
===================================================================
--- code/branches/menue/data/levels/testSwallow.oxw	(revision 8914)
+++ code/branches/menue/data/levels/testSwallow.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Level to test the swallow spaceship."
  tags = "test"
+ screenshot = "swallowtestlevel.png"
 />
 
Index: code/branches/menue/data/levels/tetris.oxw
===================================================================
--- code/branches/menue/data/levels/tetris.oxw	(revision 8914)
+++ code/branches/menue/data/levels/tetris.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Tetris in space!"
  tags = ""
+ screenshot = "tetris.png"
 />
 
Index: code/branches/menue/data/levels/theTimeMachine.oxw
===================================================================
--- code/branches/menue/data/levels/theTimeMachine.oxw	(revision 8914)
+++ code/branches/menue/data/levels/theTimeMachine.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "A simple level. The only goal is to defeat as much enemies as you can."
  tags = "singleplayer"
+ screenshot = "thetimemachine.png"
 />
 
Index: code/branches/menue/data/levels/tutorial.oxw
===================================================================
--- code/branches/menue/data/levels/tutorial.oxw	(revision 8914)
+++ code/branches/menue/data/levels/tutorial.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Level for the coding tutorial."
  tags = "tutorial"
+ screenshot = "codingtutorial.png"
 />
 
Index: code/branches/menue/data/levels/underAttack.oxw
===================================================================
--- code/branches/menue/data/levels/underAttack.oxw	(revision 8914)
+++ code/branches/menue/data/levels/underAttack.oxw	(revision 8916)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "UnderAttack testing"
+ description = "A simple testlevel"
+ screenshot = "underattack.png"
+/>
+
 <?lua
   include("HUDTemplates3.oxo")
Index: code/branches/menue/data/levels/waypoints.oxw
===================================================================
--- code/branches/menue/data/levels/waypoints.oxw	(revision 8914)
+++ code/branches/menue/data/levels/waypoints.oxw	(revision 8916)
@@ -3,4 +3,5 @@
  description = "Testing waypoings for AI controlled spaceships."
  tags = "test"
+ screenshot = "waypointstestlevel.png"
 />
 
